/*
 * @Author: Devin
 * @Date: 2022-11-21 17:09:09
 * @LastEditors: Devin
 * @LastEditTime: 2022-11-28 14:28:17
 * @Description: 公共接口
 */
import { AIotRequest } from './index';

export const CommonAPI = {
  getValueTypeList:
    '/characteristicSpecValue/findSpecValueByCharSpecId?charSpecId=101002',
  getUnitList:
    '/characteristicSpecValue/findSpecValueByCharSpecId?charSpecId=701004',
  getNodeTypeList:
    '/characteristicSpecValue/findSpecValueByCharSpecId?charSpecId=701003',
  getAlarmLevel:
    '/characteristicSpecValue/findSpecValueByCharSpecId?charSpecId=802001',
  getDeviceState:
    '/characteristicSpecValue/findSpecValueByCharSpecId?charSpecId=701008',
  uploadFile: `${import.meta.env.VITE_BASE_URL}/dmp/file/uploadFile`
};

export function getValueTypeList() {
  return AIotRequest.get({
    url: CommonAPI.getValueTypeList
  });
}

export function getUnitList() {
  return AIotRequest.get({
    url: CommonAPI.getUnitList
  });
}

export function getNodeTypeList() {
  return AIotRequest.get({
    url: CommonAPI.getNodeTypeList
  });
}

export function getAlarmLevel() {
  return AIotRequest.get({
    url: CommonAPI.getAlarmLevel
  });
}

export function getDeviceState() {
  return AIotRequest.get({
    url: CommonAPI.getDeviceState
  });
}
